> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payem.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transaction



## OpenAPI

````yaml /openapi/partner-schema.yml get /api/partner/v1/transactions/{id}
openapi: 3.0.3
info:
  title: PayEm Partner API
  version: '1.0'
servers:
  - url: https://app.payemcard.com
    description: Production
  - url: https://stage.payemcard.com
    description: Staging
security: []
paths:
  /api/partner/v1/transactions/{id}:
    get:
      tags:
        - transactions
      summary: Get a transaction
      operationId: api_partner_v1_transaction_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          headers:
            X-Trace-Id:
              schema:
                type: string
              description: >-
                Unique identifier for tracing this request through PayEm
                systems.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionResponse'
          description: ''
      security:
        - PayemOAuthAccessToken: []
components:
  schemas:
    TransactionResponse:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        id:
          type: string
        card_id:
          type: string
        merchant:
          $ref: '#/components/schemas/Merchant'
        amount:
          $ref: '#/components/schemas/Amount'
        status:
          type: string
        decline_info:
          allOf:
            - $ref: '#/components/schemas/DeclineInfo'
          nullable: true
        receipt:
          allOf:
            - $ref: '#/components/schemas/TransactionReceipt'
          nullable: true
      required:
        - amount
        - card_id
        - created_at
        - id
        - merchant
        - status
    Merchant:
      type: object
      properties:
        name:
          type: string
        descriptor:
          type: string
        mcc:
          allOf:
            - $ref: '#/components/schemas/MCC'
          nullable: true
      required:
        - descriptor
        - name
    Amount:
      type: object
      properties:
        usd:
          type: number
          format: double
        original:
          type: object
          additionalProperties: {}
      required:
        - original
        - usd
    DeclineInfo:
      type: object
      properties:
        decline_code:
          type: string
        decline_reason:
          type: string
    TransactionReceipt:
      type: object
      properties:
        url:
          type: string
        expires_at:
          type: string
          format: date-time
      required:
        - url
    MCC:
      type: object
      properties:
        code:
          type: string
        card_network:
          type: string
      required:
        - card_network
        - code
  securitySchemes:
    PayemOAuthAccessToken:
      type: http
      scheme: bearer
      description: Short-lived OAuth 2.0 access token. Tokens expire after five minutes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.